Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization
Class AbstractGraphFormatter<G extends AbstractGraph<?,?,?>>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFormatter<G>

Type Parameters:
  `G` - The graph type this formatter is for

Direct Known Subclasses:
  AbstractDependencyGraphFormatter

    public abstract class AbstractGraphFormatter<G extends AbstractGraph<?,?,?>>

extends Object

Abstract superclass for all graph formatters.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`AbstractGraphFormatter()`

Method Summary
`String` | `createFormattedRepresentation(AbstractGraph<?,?,?> graph, boolean includeWeights, boolean useShortLabels, boolean plotLoops)` Creates a formatted representation of the given graph.
`static void` | `formatDecorations(StringBuilder builder, AbstractVertex<?,?,?> vertex)` Utility function to format the decorations attached to a vertex.
`abstract String` | `getDefaultFileName()` Returns the default file name suggested by this formatter.
`static String` | `getDotRepresentation(Color color)` Returns the dot (graphviz) representation of the given color.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGraphFormatter

    public AbstractGraphFormatter()

Method Detail

### createFormattedRepresentation

    public String createFormattedRepresentation(AbstractGraph<?,?,?> graph,
                                                boolean includeWeights,
                                                boolean useShortLabels,
                                                boolean plotLoops)

  Creates a formatted representation of the given graph.

  Parameters:
    `graph` - The graph to format
    `includeWeights` - Determines whether to include weights or not.
    `useShortLabels` - Determines whether to use short labels or not.
    `plotLoops` - Determines whether to plot loops or not.
  Returns:
    A formatted representation of the graph

### formatDecorations

    public static void formatDecorations(StringBuilder builder,
                                         AbstractVertex<?,?,?> vertex)

  Utility function to format the decorations attached to a vertex.

  Parameters:
    `builder` - The builder to send the output to
    `vertex` - The vertex to work with

### getDefaultFileName

    public abstract String getDefaultFileName()

  Returns the default file name suggested by this formatter.

  Returns:
    See above

### getDotRepresentation

    public static String getDotRepresentation(Color color)

  Returns the dot (graphviz) representation of the given color.

  Parameters:
    `color` - The color to convert
  Returns:
    The dot representation of the given color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net